%define pkgname treetop
Summary:	A packrat parser implementation for Ruby
Name:		ruby-%{pkgname}
Version:	1.4.15
Release:	1
License:	Ruby's
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	87f30c0684d7760dce9feac8ff8bd869
URL:		http://treetop.rubyforge.org
BuildRequires:	rpmbuild(macros) >= 1.484
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-modules
BuildRequires:	setup.rb
Requires:	ruby-polyglot
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Treetop is a Ruby-based DSL for text parsing and interpretation. It
facilitates an extension of the object-oriented paradigm called
syntax-oriented programming. There's a readme that will get you going
and some examples.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}
cp %{_datadir}/setup.rb .

%build
# write .gemspec
%__gem_helper spec

ruby setup.rb config \
	--rbdir=%{ruby_rubylibdir} \
	--sodir=%{ruby_archdir}

ruby setup.rb setup

rdoc --op rdoc lib
rdoc --ri --op ri lib
rm -r ri/{IntervalSkipList,String}
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

# install gemspec
install -d $RPM_BUILD_ROOT%{ruby_specdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md doc/* examples
%attr(755,root,root) %{_bindir}/tt
%{ruby_rubylibdir}/treetop*
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Treetop
%changelog
* Mon Sep 01 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-treetop.git;a=log;h=master

* Mon Sep 01 2014 Jan Rękorajski <baggins@pld-linux.org> 6bf26a5
- removed non-existing patch from spec

* Sun Aug 31 2014 Jan Rękorajski <baggins@pld-linux.org> f9d0c20
- removed obsolete patch

* Sun Aug 31 2014 Jan Rękorajski <baggins@pld-linux.org> 8d9fd5c
- up to 1.4.15

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 9edf09b
- rebuild for ruby 2.0
- release 3 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 2670a7e
- dropped unused BR: ruby-rake

* Wed May 12 2010 sparky <sparky@pld-linux.org> 80901f1
- BR: setup.rb

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 513838a
- add de-gemming patch

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> cbad0b4
- rel 2
- typo in R

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> a958e20
- updated to 1.4.4
- added rdoc and ri packages

* Sun Aug 09 2009 aredridel <aredridel@pld-linux.org> 615cf3e
- added

* Sun Aug 09 2009 aredridel <aredridel@pld-linux.org> 4ec3924
- add de-gemming patch

* Sun Aug 09 2009 aredridel <aredridel@pld-linux.org> 202f05b
- added

